=== debian/changelog ===
lizardfs (3.11.2+dfsg-2) unstable; urgency=medium

  * New patch to fix empty "Filesystem check info".
  * cgiserv/Depends += "lsb-base".
  * Update copyright format URL to HTTPS.
  * Debhelper & compat to version 10.
  * Standards-Version: 4.0.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 Jul 2017 13:40:01 +1000

lizardfs (3.11.2+dfsg-1) experimental; urgency=medium

  * New upstream release [June 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 Jun 2017 15:15:27 +1000

lizardfs (3.11.0+dfsg-4) experimental; urgency=medium

  * New upstream patch to fix segfault in client.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Jun 2017 20:52:04 +1000

lizardfs (3.11.0+dfsg-3) experimental; urgency=medium

  * New upstream patch to fix segfault in master.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 May 2017 07:37:10 +1000

lizardfs (3.11.0+dfsg-2) experimental; urgency=medium

  * New upstream patch to fix high CPU usage in master.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 22 May 2017 00:23:38 +1000

lizardfs (3.11.0+dfsg-1) experimental; urgency=medium

  * New upstream release [May 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 14 May 2017 23:48:11 +1000

lizardfs (3.10.4+dfsg-4) unstable; urgency=high

  * New backported "526_gcc6.2.patch" to fix serious run-time regression.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 11 Mar 2017 14:35:50 +1100

lizardfs (3.10.4+dfsg-3) unstable; urgency=medium

  * Build-Depends: libgtest-dev --> googletest (Closes: #844893).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Nov 2016 01:00:13 +1100
