## lizardfs 3.11.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,7 @@
 project(lizardfs)
 set(PACKAGE_VERSION_MAJOR 3)
 set(PACKAGE_VERSION_MINOR 11)
-set(PACKAGE_VERSION_MICRO 2)
+set(PACKAGE_VERSION_MICRO 3)
 set(PACKAGE_VERSION
     "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_MICRO}${PACKAGE_VERSION_SUFFIX}")
