=== debian/changelog ===
lizardfs (3.11.3+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Jan 2018 06:26:51 +1100

lizardfs (3.11.3+dfsg-2) unstable; urgency=medium

  * Build on armel with "-latomic" (Closes: #872822).
    Thanks, Adrian Bunk.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Sep 2017 19:17:40 +1000

lizardfs (3.11.3+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2017].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Aug 2017 11:27:37 +1000
